//
//  BufferedReader.h
//  BufferedReader interface definition
//
//  Created by Rene Hexel on 10/03/06.
//  Copyright 2006 Rene Hexel. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface BufferedReader: NSObject
{
	NSFileHandle *file;
	NSString *content;
	NSScanner *scanner;
	NSCharacterSet *newLine;			// new line charset
	int fd;						// file descriptor
	BOOL skipWhiteSpace;				// skip white space?
}

+ (BufferedReader *) bufferedReaderWithStandardInput;	// convenience method

- initWithFile: (NSString *) fileName;			// init with given file
- (BufferedReader *) initWithStandardInput;		// init with stdin
- (NSString *) readLine;				// read the next line

- setSkipWhiteSpace: (BOOL) skip;			// skip whitespace?

- (void) dealloc;
@end
