/*
 * A simple example for the BufferedReader class
 */
#include <stdio.h>
#import <Foundation/Foundation.h>
#import "BufferedReader.h"

int main (int argc, const char *argv[])
{
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
	BufferedReader *reader = [BufferedReader alloc];
	NSString *line;

	if (argc < 2) reader = [reader initWithStandardInput];
	else reader = [reader initWithFile:
				[NSString stringWithCString: argv[1]]];

	do
	{
		NSAutoreleasePool *innerpool = [NSAutoreleasePool new];

		if (argc < 2)
		{
			printf("Enter line: ");
			fflush(stdout);
		}
		
		if (line = [reader readLine])
			printf("%s\n", [line cString]);
		
		[innerpool release];
	}
	while (line);

	[reader release];
	[pool release];
	return 0;
}
